/* 
$VER: MPAgui MUI 0.70 by  Barry Beukhof
*/

address MPAgui

MUIA_Selected = 0x8042654b
MUIA_List_active = 0x8042391c
MUIA_List_Format = 0x80423c0a
MUIA_menuitem_shortcut = 0x80422030
MUIM_application_AboutMUI = 0x8042d21d
MUIM_application_openconfigwindow = 0x804299ba
MUIA_Cycle_Active	= 0x80421788
MUIA_String_Contents	= 0x80428ffd	
MUIA_Slider_Level	= 0x8042ae3a
MUIA_Slider_Max         = 0x8042d78a
MUIA_Slider_Min         = 0x8042e404
MUIV_List_Remove_Active = -1
MUIA_List_Dragsortable = 0x80426099
MUIA_Dropable = 0x8042fbce
MUIA_Listview_DragType = 0x80425cd3
MUIV_Listview_DragType_Immediate = 1
FALSE = 0
TRUE = 1

window ID WIND1 TITLE """"MPAgui MUI  V0.70"""" Command "quit" PORT MPAgui

  menu LABEL "Project"
   menu LABEL "MUI"
    item COMMAND '"method 'MUIM_Application_AboutMUI' 0"' PORT MPAgui LABEL "About MUI"
    item COMMAND '"method 'MUIM_Application_OpenConfigWindow'"' PORT MPAgui LABEL "MUI Settings"
   endmenu
   item COMMAND "hide" PORT MPAgui ATTRS MUIA_Menuitem_Shortcut 'H' LABEL "Hide"
   item COMMAND "quit" PORT MPAgui ATTRS MUIA_Menuitem_Shortcut 'Q' LABEL "Quit"
  endmenu

group REGISTER LABELS "MAIN,PREFS,ABOUT"

/* The Main Menu */

group HELP '"You are now in the main menu\012use the buttons at the\012top of the window to go\012to a different menu."' HORIZ
group
list ID LIST1 HELP '"This is the playlist.\012The files in the list are dragable\012and you can save/load lists\012It is possible to clear the entire list\012or remove the highlighted file"' PORT MPAGUI ATTRS MUIA_Listview_DragType, 
 MUIV_Listview_DragType_Immediate,
 MUIA_List_DragSortable TRUE,
 MUIA_Dropable TRUE
group HORIZ
group
label SINGLE "MP Source File:"
endgroup
group
popasl ID MPFI COMMAND '"list ID LIST1 INSERT STRING %s"' HELP '"Select a MP File to add to the list"' PORT MPAGUI
endgroup
group
label SINGLE "Destination File:"
endgroup
group
popasl ID DEFI HELP '"If you want to decode your MP file\012enter the name for the\012decoded file here\012 \012 (i.e. Ram:Rains.Wav)"' PORT MPAgui
endgroup
endgroup
group HORIZ
button ID LOADL COMMAND "LOADLIST.REXX" HELP '"Use this button to Load a playlist"' LABEL "Load Playlist"
button ID SAVEL COMMAND "SAVELIST.REXX" HELP '"Use this button to save the current playlist"' LABEL "Save Playlist"
endgroup
group HORIZ
button ID CLEAR COMMAND "ClearList.Rexx" HELP '"Clear current paylist"' Label "Clear List"
Button ID REMOV COMMAND "RemoveSelected.Rexx" HELP '"Remove Selected file from list"' Label "Remove Selected"
endgroup
group HORIZ
button ID PLAYF COMMAND "PLAY.REXX" HELP '"Play the highlighted MP file"' LABEL "Play Selected"
button ID PLAYL COMMAND "PLAYLIST.REXX" HELP '"Play all files in the current list\012They will be played back in the\012same order as in the list"' LABEL "Play List"
button ID FCONV COMMAND "DECODE.REXX"  HELP '"Decode selected MP file to the destination file selected\012In the prefs menu you can select the save format\012Use a program like PLAY16 to play back the decoded file"' LABEL "Decode Selected"
endgroup
endgroup
endgroup

/*The Prefs Menu*/

group HORIZ
group
label SINGLE "MPEGA Executable:"
space 1
label SINGLE "T Buffer Size:"
space 1
label SINGLE "Priority:"
label SINGLE "Maximum Frequency:"
label SINGLE "Mixing Frequency:"
label SINGLE "Playback Quality:"
label SINGLE "Counter:"
label SINGLE "Output Format:"
space 20
endgroup
group
popasl ID MPEGA HELP '"Enter the name of your mpega executable (i.e. C:MPEGA.020)"' PORT MPAGUI 
slider ID BUFFE HELP '"Select the size of the audio buffer time (in MS)"' PORT MPAGUI ATTRS MUIA_Slider_Max 99999
slider ID PRIOR HELP '"Select the task priority for MPEGA"' ATTRS MUIA_Slider_Max 30 MUIA_Slider_Min '-30' MUIA_Slider_Level 0
cycle ID MAXFR HELP '"Select the maximum decoding frequency.\012A frequency of 44100 cannot be used on Pal/Ntsc screens"' PORT MPAgui LABELS "11025,22050,44100"
cycle ID MIXFR HELP '"Select the mixing frequency.\012Afrequency of 44100 CANNOT be used on Pal/NTSC screens."' PORT MPAgui LABELS "11025,22050,44100"
cycle ID QUALR HELP '"Select the playback quality.\012A lower quality will result in less CPU usage."' PORT MPAgui LABELS "Low,Medium,High"
cycle ID COUNT HELP '"Here you can chooce to use:\012 A Frame, a realtime or No counter"' PORT MPAgui LABELS "Frames,Real time,No Counter"
cycle ID OFORM HELP '"If you want to convert an MP file\012you can convert it to Wav, Aiff and Raw formats\012Later you can use a program like PLAY16 to play it back."' PORT MPAgui LABELS "Raw,Aiff,Wav"
space 8
button ID SAVEP HELP '"Save the prefs to ENVARC:MPAgui.prefs"' COMMAND "SavePrefs.Rexx" LABEL "Save Prefs"
endgroup
group
label SINGLE "MONO:"
space 10
label SINGLE "AHI:"
space 10
label SINGLE "Wait:"
space 10
label SINGLE "ASYNC:" 
space 10
label SINGLE "Filter:"
space 10
label SINGLE "Play Ram:"
endgroup
group
check ID MONOP HELP '"If you select this option\012your MP file will be played back in mono"' ATTRS MUIA_SELECTED PORT MPAGUI
check ID AHIOU HELP '"Select this option if you want\012 to use AHI for payback"' ATTRS MUIA_SELECTED PORT MPAGUI
check ID WAITB HELP '"If you select this option,\012the buffer will be filled before\012sound is played back."' ATTRS MUIA_SELECTED PORT MPAGUI
check ID ASYNC HELP '"Turn Async on or off"' ATTRS MUIA_SELECTED PORT MPAGUI
check ID filte HELP '"Turn the filter on or off"' ATTRS MUIA_SELECTED PORT MPAGUI
check ID PLRAM HELP '"If this option is selected\012the entire MP file will be copied\012to RAM: before being played\012When it is finished it will be removed from ram"' ATTRS MUIA_SELECTED PORT MPAGUI
endgroup
endgroup

/* About Me */

group HELP '"If you have got comments or suggestions\012for the next version of MPAgui MUI\012send them to:\012\012Barry Beukhof\012Spaaksingel 12\0126716 KG Ede\012The Netherlands"'
group FRAME
label SINGLE "MPAgui MUI  V0.70  by Barry Beukhof"
label SINGLE "Please send me your comments and suggestions." 
space 10
group frame
label SINGLE "Barry Beukhof"
label SINGLE "Spaaksingel 12"
label SINGLE "6716 KG Ede"
label SINGLE "The Netherlands"
endgroup
endgroup
endgroup
endgroup
endwindow

/* Loading The Prefs */

options results

if open('prefs', 'ENVARC:MPAGui.prefs', 'r') = 1 then do
  popasl ID MPEGA ATTRS MUIA_String_Contents readln('prefs')
  slider ID BUFFE ATTRS MUIA_Slider_Level readln('prefs')
  slider ID PRIOR ATTRS MUIA_Slider_Level readln('prefs')
  cycle ID MAXFR ATTRS MUIA_Cycle_Active readln('prefs')
  cycle ID MIXFR ATTRS MUIA_Cycle_Active readln('prefs')
  cycle ID QUALR ATTRS MUIA_Cycle_Active readln('prefs')
  cycle ID COUNT ATTRS MUIA_Cycle_Active readln('prefs')
  cycle ID OFORM ATTRS MUIA_Cycle_Active readln('prefs')
  check ID MONOP ATTRS MUIA_Selected readln('prefs')
  check ID AHIOU ATTRS MUIA_Selected readln('prefs')
  check ID WAITB ATTRS MUIA_Selected readln('prefs')
  check ID ASYNC ATTRS MUIA_Selected readln('prefs')
  check ID FILTE ATTRS MUIA_SELECTED readln('prefs')
  check ID PLRAM ATTRS MUIA_SELECTED readln('prefs')
end
